Subject: I-D Action: draft-ietf-rtgwg-qos-model-00.txt

From: [email-masked]
Date: Wed, 09 Oct 2019 15:26:58 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Routing Area Working Group WG of the IETF.

        Title           : YANG Model for QoS
        Authors         : Aseem Choudhary
                          Mahesh Jethanandani
                          Norm Strahle
                          Ebben Aries
                          Ing-Wher Chen
	Filename        : draft-ietf-rtgwg-qos-model-00.txt
	Pages           : 89
	Date            : 2019-10-07

Abstract:
   This document describes a YANG model for Quality of Service (QoS)
   configuration and operational parameters.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-rtgwg-qos-model/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-rtgwg-qos-model-00
https://datatracker.ietf.org/doc/html/draft-ietf-rtgwg-qos-model-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: tom petch <[email-masked]>
Date: Thu, 10 Oct 2019 16:29:06 +0000

uh huh; some stray thoughts on this I-D

s.9
   MITRE has approved this document for Public Release, Distribution
   Unlimited, with Public Release Case Number 19-3027.

Is this the beginnings of an IPR issue to be resolved? I don't know.

YANG Model for QoS

QoS is a very general concept for me, seeeing it more in the context of
system and application performance rather than just network so I would
like something in the title to make it clear that this is 'only'
routing;  ditto - especially - the Abstract.  Current RFC have something
in the title that makes this clear.

s.1
(NMDA) [RFC8342 [RFC8342]].
looks odd with [[ ]]

YANG has conditionals which many modellers overuse (IMHO:-)
Here I would like more.  You twice have min and max and so could require
that max> or >=  min.  Is it valid to have the one value, ie min = max,
or just a min?

contact (times seven)
     contact
       "WG Web:   <http://tools.ietf.org/wg/rtgwg/>
        WG List:  <mailto:[email-masked]>
        WG Chair: Chris Bowers
                  <mailto:[email-masked]>
        WG Chair: Jeff Tantsura
                  <mailto:[email-masked]>
should not have the WG chair therein- they are too ephemeral ! - just
web, list, editors

There is a mismatch between the editors of the I-D and those of the YANG
modules; is this intended?

References in the YANG module - I would like more! e.g.
  identity one-rate-two-color-meter-type {
       base meter-type;
       description
         "one rate two color meter type";
     }
     identity one-rate-tri-color-meter-type { ...
        reference  "RFC2697: A Single Rate Three Color Marker";
     identity two-rate-tri-color-meter-type { ...
       reference    "RFC2698: A Two Rate Three Color Marker";

while some modules lack any such references for the identity; needs to
be consistent

or, still on Reference,

     grouping protocol-cfg {
       list protocol-cfg { key "protocol-min protocol-max";
         description  "list of ranges of protocol values";

which I read as being IPv4 only - IPv6 does not have protocol!  Perhaps
a name change or explanatory note plus a reference to the IANA website.

           choice drop-algorithm {
has only one case; if intended, an explanatory note would be useful

     augment "/if:interfaces/if:interface" {
is unqualified so this will be added to all interfaces in the box; I am
unclear if this is a good idea.

IANA !

Security !

s.A.1
            "RFC 6020: YANG - A Data Modeling Language ...

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, October 09, 2019 11:26 PM
Subject: I-D Action: draft-ietf-rtgwg-qos-model-00.txt

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Chen, Helen" <[email-masked]>
Date: Fri, 11 Oct 2019 13:43:57 +0000

Hi Tom,

Thank you for your comments.

Regarding s.9, in the case of this draft, it is not the beginning of IPR issues
to be resolved.  MITRE has no IPRs to disclose related to this draft.

Regarding the rest of your feedback, my co-authors and I will review and
make the necessary changes in the next revision.  We can revisit each
comment when we publish the next revision.

Thanks,
Helen

On 10/10/19, 8:17 PM, "Aseem Choudhary (asechoud)" <[email-masked]> wrote:

    Hi All,
    
    Need to incorporate/respond back to additional feedback.
    
    -thanks,
    Aseem
    
    On 10/10/19, 12:13 PM, "rtgwg on behalf of tom petch" <[email-masked] on behalf of [email-masked]> wrote:

        s.9

        YANG Model for QoS

        s.1

        contact (times seven)
             contact

        
        
        or, still on Reference,
        
             grouping protocol-cfg {

                   choice drop-algorithm {

        IANA !
        
        Security !
        
        s.A.1
        
        Tom Petch
        
        ----- Original Message -----
        From: <[email-masked]>
        To: <[email-masked]>
        Cc: <[email-masked]>
        Sent: Wednesday, October 09, 2019 11:26 PM
        Subject: I-D Action: draft-ietf-rtgwg-qos-model-00.txt

        _______________________________________________
        rtgwg mailing list
        [email-masked]
        https://www.ietf.org/mailman/listinfo/rtgwg

---

From: tom petch <[email-masked]>
Date: Fri, 11 Oct 2019 15:37:32 +0000

----- Original Message -----
From: "Chen, Helen" <[email-masked]>
Sent: Friday, October 11, 2019 2:43 PM

> to be resolved.  MITRE has no IPRs to disclose related to this draft.

Helen,

Thanks for getting back to me.  I notice than in other I-D for which
I.Chen is an author, e.g. draft-ietf-ospf-sr-yang-10, the text is
something like

   Author affiliation with The MITRE Corporation is provided for
   identification purposes only, and is not intended to convey or imply
   MITRE's concurrence with, or support for, the positions, opinions or
   viewpoints expressed.  MITRE has approved this document for Public
   Release, Distribution Unlimited, with Public Release Case Number
   18-3281.

which would not have set so many hares running for me. Is there a reason
for the different text in this qos I-D?

I look forward to the next revision.

Tom Petch

>     On 10/10/19, 12:13 PM, "rtgwg on behalf of tom petch"
<[email-masked] on behalf of [email-masked]> wrote:
>         > A New Internet-Draft is available from the on-line
Internet-Drafts
>         directories.
>         > This draft is a work item of the Routing Area Working Group
WG of the
>         IETF.